newlogo Victoria College University of Houston-Victoria VC/UHV Library

Internet Browser and Technical Requirements: Home

This guide provides information about the browser and technical requirements of many of our databases.

Recommended Browsers

Links to download and install:

Firefox

Internet Explorer 8

Note:  IE versions below v.7 are not recommended.

Plugins

Links to download recommended plugins:

Adobe Reader 

Flash Player

Powerpoint Viewer

QuickTime

Shockwave Player

Browser Settings

Some databases require javascript and cookies enabled.  Here are links to instructions on how to check your settings for Chrome, Internet Explorer, Firefox and Safari.

Enable javascript

Enable cookies

Browser Requirements for Library Databases

 
Internet Explorer
Firefox
Chrome
Safari
Opera
EBSCO
7.0 or higher
8.0 or higher

16 or  higher

5.1 or higher

Javascript, cookies enabled

Gale
7.x to 9.x
3.x to 3.6.x   5.x or higher
9.x or higher
4.1 to 6.x
9.x to 12.x
JSTOR
6.x oto 8.x
3.x 
latest version
4.x
*
NewsBank
6.0 or higher
1.5 or higher
*
1.3.1 or higher
9.0 or higher
Ovid
8.x
3.6
*
*
*
Oxford
7.0 to 9.0
10 or higher
latest version
5
*
ProQuest
7.0 or higher
10 or higher
18 or higher
5 or higher
*
SciDirect
7.x and 9.x
15.x
22.x
*
 
*
LexisNexis
6.0 to 8.0
10 or higher
17 or higher
MacOS: 5.x
X OS: 10.6 or higher
*
*Other browsers (including Netscape Navigator) are generally not supported.

Updated 4/24/2013

Ask A Librarian

AskaLibrarian

Phone: 361-570-4166

Toll-free: 800-687-5006

Our LibGuides can help you with:

  • Citing Your Sources
  • Writing a Paper
  • Database Searching
  • Finding Literary Criticism

Go to our LibGuides Home Page